| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT > Struct Template Reference

`#include <Grammars.h>`

List of all members.

## Detailed Description

### template<typename GrammarT>
template<typename ScannerT>
struct Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >

Definition at line 422 of file Grammars.h.

## Public Member Functions
| definition (SelfT const &self)
rule< ScannerT > const & | start () const
## Public Attributes
rule< ScannerT > | vec
rule< ScannerT > | inner
GrammarT | gr

## Constructor & Destructor Documentation

template<typename GrammarT>
template<typename ScannerT>

Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::definition | ( | SelfT const & | self | ) | `[inline]`

Definition at line 424 of file Grammars.h.

References Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::gr, Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::inner, Gaudi::Parsers::VectorGrammar< GrammarT >::matchItem(), and Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::vec.

    00425         {
    00426           inner =
    00427             !(gr[boost::bind(&VectorGrammar::matchItem,&self,_1)]
    00428               >> *(','>>gr[boost::bind(&VectorGrammar::matchItem,&self,_1)]));
    00429           vec =
    00430             "{">>inner>>"}" | "[">>inner>>"]";
    00431         }

## Member Function Documentation

template<typename GrammarT>
template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 432 of file Grammars.h.

References Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::vec.

    00432 { return vec; }

## Member Data Documentation

template<typename GrammarT>
template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::vec

Definition at line 433 of file Grammars.h.

Referenced by Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::definition(), and Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::start().

template<typename GrammarT>
template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::inner

Definition at line 433 of file Grammars.h.

Referenced by Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::definition().

template<typename GrammarT>
template<typename ScannerT>

GrammarT Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::gr

Definition at line 434 of file Grammars.h.

Referenced by Gaudi::Parsers::VectorGrammar< GrammarT >::definition< ScannerT >::definition().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h